﻿Option Strict Off
Option Explicit On

Module InpOut32_Declarations

    'Inp and Out declarations for port I/O using inpout32.dll.
    Public Declare Function Inp Lib "inpout32.dll" Alias "Inp32" (ByVal PortAddress As Short) As Short
    Public Declare Sub Out Lib "inpout32.dll" Alias "Out32" (ByVal PortAddress As Short, ByVal Value As Short)

End Module
Public Class Form1
    Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)


    Const Pin10 = 192



    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Out(&H378S, &HFFS)      'Print '1' to D7-D0 or 255 in Decimal
        Dim Value1 As String    'String named Value1
        Value1 = Inp(&H378S)    'Now Value1 has the values in 'data port'
        MessageBox.Show(Value1) 'A popup will indicate the current value written
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click


        If IsNumeric(Me.TextBox1.Text) = False Then
            Me.TextBox1.Clear()
            Me.TextBox1.Focus()

            MsgBox("Numeric only folks!!", MsgBoxStyle.Critical)
            Exit Sub
        Else


            Dim i As Integer
            For i = 1 To Val(TextBox1.Text)
                Out(&H378, 1) 'on relay driver #1...

                Sleep(700) 'wait for 700 millisecond...
                While Inp(&H379) = Pin10 'loop until sensor interupted...
                End While

                Out(&H378, 0) 'off all relay drivers...
            Next i
        End If
    End Sub

    Private Sub LinkLabel1_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LinkLabel1.LinkClicked
        Process.Start(Me.LinkLabel1.Text)
    End Sub
End Class
